imports:
    - { resource: config.yml }

parameters:
    main_log_channels: []

framework:
    session:
        cookie_path: '%web_backend_prefix%'

oro_frontend:
    session:
        name:        OROSFID
        cookie_path: '/'

doctrine:
    dbal:
        logging:            true

monolog:
    handlers:
        detailed_logs:
            type:           service
            id:             oro_logger.monolog.detailed_logs.handler
            handler:        nested
            channels:       '%main_log_channels%'
        nested:
            type:           stream
            path:           "%kernel.logs_dir%/%kernel.environment%.log"
            level:          debug
            channels:       '%main_log_channels%'

        fingers_crossed:
            type:           fingers_crossed
            action_level:   critical
            handler:        deduplicated
            buffer_size:    1000
        deduplicated:
            type:           deduplication
            handler:        swift
            buffer_size:    1000
        swift:
            type:           swift_mailer
            email_prototype:
                id:         oro_logger.message_factory
                method:     createMessage
            mailer:         swiftmailer.mailer.default
            level:          debug
            formatter:      monolog.formatter.html

        # collect all log records to buffer on CLI command error
        message_queue.consumer.console_error:
            type:           service
            id:             oro_message_queue.log.handler.console_error
            handler:        nested
            level:          debug
